Loading...
Searching...
No Matches
snd_tplg_dai_template Struct Reference
Topology Interface

Template type for physical DAI. It can be used to configure backend DAIs for DPCM. More...

`#include <topology.h>`

Collaboration diagram for snd_tplg_dai_template:
[legend]

## Data Fields

const char * | dai_name
unsigned int | dai_id
unsigned int | playback
unsigned int | capture
struct snd_tplg_stream_caps_template * | caps [2]
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for physical DAI. It can be used to configure backend DAIs for DPCM.

## Field Documentation

## caps

struct snd_tplg_stream_caps_template* snd_tplg_dai_template::caps[2]

playback & capture for DAI

## capture

unsigned int snd_tplg_dai_template::capture

supports capture mode

## dai_id

unsigned int snd_tplg_dai_template::dai_id

unique ID - used to match

## dai_name

const char* snd_tplg_dai_template::dai_name

DAI name

## flag_mask

unsigned int snd_tplg_dai_template::flag_mask

bitmask of flags to configure

## flags

unsigned int snd_tplg_dai_template::flags

SND_SOC_TPLG_DAI_FLGBIT_*

## playback

unsigned int snd_tplg_dai_template::playback

supports playback mode

## priv

struct snd_soc_tplg_private* snd_tplg_dai_template::priv

private data

The documentation for this struct was generated from the following file:

- /build/alsa-lib-INT9kU/alsa-lib-1.2.15.3/include/topology.h